# enx_flutter_plugin


This Flutter plugin is a wapper for [EnableX Video SDK](https://developer.enablex.io/api/).

EnableX platform allows user to embed real time communication commonly known as audio, video and text chat services in their applications. It exposes a simple set of APIs which can be invoked in user application to embed real time communication services (RTC) enabled applications.

*Note*: This plugin is still under development, and some APIs might not be available yet.

## Usage

To use this plugin, add `enx_flutter_plugin` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).

## Getting Started

* See the [example](https://github.com/EnableX/One-to-One-Video-Calling-Open-Source-flutter-Application) directory for a sample app using enx_flutter_plugin.


## Device Permission

EnableX Video SDK requires camera and microphone permission to start video call.

### Android

Open the *AndroidManifest.xml* file and add the required device permissions to the file.

```xml
..
<uses-permission android:name="android.permission.READ_PHONE_STATE"/>
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.RECORD_AUDIO" />
<uses-permission android:name="android.permission.CAMERA" />
<uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
..
```

### iOS

Open the *info.plist* and add:

- Privacy - Microphone Usage Description, and add a note in the Value column.
- Privacy - Camera Usage Description, and add a note in the Value column.

Your application can still run the voice call when it is switched to the background if the background mode is enabled. Select the app target in Xcode, click the **Capabilities** tab, enable **Background Modes**, and check **Audio, AirPlay, and Picture in Picture**.


### iOS black screen

Our SDK use `PlatformView`, you should set `io.flutter.embedded_views_preview` to `YES` in your *info.plist*



